Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Interface PDFWritable

All Known Implementing Classes:
  PDFNull, PDFObject, PDFRectangle, PDFReference

public interface PDFWritable

This interface is implemented by classes that can be serialized to a PDF file either by serializing the object or by writing a indirect reference to the actual object.

Method Summary
`void` | `outputInline(java.io.OutputStream out, java.io.Writer writer)` Writes a "direct object" (inline object) representation to the stream.

Method Detail

### outputInline

    public void outputInline(java.io.OutputStream out,
                             java.io.Writer writer)
                      throws java.io.IOException

  Writes a "direct object" (inline object) representation to the stream. A Writer is given for optimized encoding of text content. Since the Writer is buffered, make sure `flush()` is called before any direct calls to `out` are made.

  Parameters:
    `out` - the OutputStream (for binary content)
    `writer` - the Writer (for text content, wraps the above OutputStream)
  Throws:
    `java.io.IOException` - if an I/O error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.